QGIS Application - Bug report #16012
[PyQGIS] Undefined symbol in nightly
2016-12-25 09:17 PM - Tomasz Nycz

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 23927

Description

Traceback (most recent call last):
File™, line 1, in
File "/usr/lib/python3/dist-packages/qgis/__init__.py", line 28, in
from qgis.core import QgsFeature, QgsGeometry
File "/usr/lib/python3/dist-packages/qgis/core/__init__.py", line 34, in
from qgis._core import *
ImportError: /ust/lib/python3/dist-packages/qgis/_core.so: undefined symbol:
_ZN25QgsExpressionContextUtils24setComposerltemVariablesEP 15QgsComposerltemRK4QMapl7QStringS3_E

@Wersja Pythona:
3.5.2 (default, Nov 17 2016, 17:05:23)
[GCC 5.4.0 20160609]

Wersja QGIS:
2.99.0-Master 'Master', 9124c73

Lokalizacja Pythona:

['/usr/share/qgis/python’, 'home/mechanik/.qgis3/python’, 'home/mechanik/.qgis3/python/plugins’, ‘/usr/share/qgis/python/plugins’,
'Jusr/lib/python35.zip', '/usr/lib/python3.5', /usr/lib/python3.5/plat-x86_64-linux-gnu', '/ust/lib/python3.5/lib-dynload’,
'lusr/local/lib/python3.5/dist-packages’, '/ust/lib/python3/dist-packages’]

@

Bug was introduced in last few days. After starting QGIS, it throws Python Error: Cannot load PyQGIS, Python support will be disabled.
QGIS starts anyway, but is unusable in that state ;)

Xubuntu 16.04

History

#1 - 2016-12-25 10:38 PM - Nyall Dawson
- Status changed from Open to Feedback

Try completely deleting your build and then rebuilding from scratch.

#2 - 2016-12-26 01:45 AM - Tomasz Nycz

python-qgis:
Wymaga: python-qgis-common (=1:2.99.0+git20161223+9124c73+24xenial). ale ma by¢ zainstalowana wersja
1:2.99.0+git20161224+567f920+24xenial
Wymaga: qgis-providers (=1:2.99.0+git20161223+9124c73+24xenial). ale ma by¢ zainstalowana wersja 1:2.99.0+git20161220+9ac668b+24xenial
Wymaga: qgis-common (=1:2.99.0+git20161223+9124c73+24xenial). ale ma by¢ zainstalowana wersja 1:2.99.0+git20161224+567f920+24xenial

Ok, found the reason. Some of Ubuntu packages have bad dependencies. It's apt/release problem, not code.
#3 - 2016-12-26 11:07 AM - Nyall Dawson
- Resolution set to invalid

- Status changed from Feedback to Closed

#4 - 2017-09-22 09:54 AM - Jiirgen Fischer
- Category set to Unknown
